#pragma once
#include "global.h"
class CAniEditorHideTable : public CDialog
{
	DECLARE_DYNAMIC(CAniEditorHideTable)
	DECLARE_MESSAGE_MAP()
public:
	CAniEditorHideTable(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CAniEditorHideTable();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CANIEDITOR_HIDETABLE };
#endif
	CString outStr;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
private:
	//控件
	CEdit edit_numText;
public:
	static bool ParseInts(const wchar_t* str, std::vector<int>& outArr);
	afx_msg void OnBnClickedOk();
};

